package v1

import (
	"auth-server/common"
	pb "auth-server/rpc_idl/dr_study_pb"
	"auth-server/service"
	"github.com/gin-gonic/gin"
)

func CreateStudy(c *gin.Context) {
	request := pb.StudyRequest{}
	if err := c.ShouldBindJSON(&request); err != nil {
		common.HttpErr(c, err)
		return
	}
	res, err := service.StudyService.CreateStudy(common.GC2GM(c), &request)
	if err != nil {
		common.HttpErr(c, err)
		return
	}
	common.HttpSuccess(c, res)
}
